net.sf.jasperreports.engine.fill

## Class JRFillElementGroup

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElementGroup

- All Implemented Interfaces:
    java.lang.Cloneable, JRFillCloneable, JRChild, JRCloneable, JRElementGroup, JRVisitable
  Direct Known Subclasses:
    JRFillElementContainer

      public class JRFillElementGroup
      extends java.lang.Object
      implements JRElementGroup, JRFillCloneable

  Version:
    $Id: JRFillElementGroup.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<JRChild>` | `children`
    `protected JRElementGroup` | `elementGroup`
    `protected JRFillElement[]` | `elements`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillElementGroup(JRElementGroup elementGrp, JRFillObjectFactory factory)`
    `protected` | `JRFillElementGroup(JRFillElementGroup elementGrp, JRFillCloneFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.Object` | `clone(JRElementGroup parentGroup)`
    `JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
    `java.util.List<JRChild>` | `getChildren()` Gets a list of all direct children elements or elements groups.
    `JRElement` | `getElementByKey(java.lang.String key)` Gets an element from this group, based on its element key.
    `JRElementGroup` | `getElementGroup()` Gets the parent element group.
    `JRElement[]` | `getElements()` Gets an array containing all the elements and element groups in the hierarchy.
    `protected int` | `getStretchHeightDiff()`
    `protected void` | `reset()`
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### children

          protected java.util.List<JRChild> children

    - #### elementGroup

          protected JRElementGroup elementGroup

    - #### elements

          protected JRFillElement[] elements

  - ### Constructor Detail

    - #### JRFillElementGroup

          protected JRFillElementGroup(JRElementGroup elementGrp,
                            JRFillObjectFactory factory)

    - #### JRFillElementGroup

          protected JRFillElementGroup(JRFillElementGroup elementGrp,
                            JRFillCloneFactory factory)

  - ### Method Detail

    - #### getChildren

          public java.util.List<JRChild> getChildren()

      Description copied from interface: `JRElementGroup`
      Gets a list of all direct children elements or elements groups.
      Specified by:
        `getChildren` in interface `JRElementGroup`

    - #### getElementGroup

          public JRElementGroup getElementGroup()

      Description copied from interface: `JRElementGroup`
      Gets the parent element group.
      Specified by:
        `getElementGroup` in interface `JRElementGroup`
      Returns:
        an instance of this class, or null if this is the root group.

    - #### getElements

          public JRElement[] getElements()

      Description copied from interface: `JRElementGroup`
      Gets an array containing all the elements and element groups in the hierarchy.
      Specified by:
        `getElements` in interface `JRElementGroup`

    - #### getElementByKey

          public JRElement getElementByKey(java.lang.String key)

      Description copied from interface: `JRElementGroup`
      Gets an element from this group, based on its element key.
      Specified by:
        `getElementByKey` in interface `JRElementGroup`

    - #### reset

          protected void reset()

    - #### getStretchHeightDiff

          protected int getStretchHeightDiff()

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### createClone

          public JRFillCloneable createClone(JRFillCloneFactory factory)

      Description copied from interface: `JRFillCloneable`
      Creates a working clone of itself.
      Specified by:
        `createClone` in interface `JRFillCloneable`
      Parameters:
        `factory` - the clone factory to use while creating the clone
      Returns:
        a working clone of itself

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone(JRElementGroup parentGroup)

      Specified by:
        `clone` in interface `JRChild`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com